%define name smeserver-madsonic
%define version 5.0.3761
%define release 11
Summary: madsonic is a music streaming system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-madsonic-%{version}.tar.xz

BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 8.0
Requires: madsonic >= 6.2.9092 
Requires: alsa-utils
Requires: ffmpeg
Requires: java-1.8.0-openjdk >= 1.8
Requires: perl-DateTime
AutoReqProv: no

%description
This is all the configurations needed to install madsonic as a contrib for SME Server 

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 5.0.3761-11.sme
- Fix e-smith references in smeserver-madsonic [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 5.0.3761-10.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Dec 07 2022 Jean-Philippe Pialasse <tests@pialasse.com> 5.0.3761-9.sme
- fix conflict for /var/madsonic [SME: 12255]

* Tue Nov 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 5.0.3761-8.sme
- remove remaining sysvinit files [SME: 12239]
- fix few minors issues, typo and cosmetics

* Sat Jul 30 2022 Brian Read <brianr@bjsystems.co.uk> 5.0.3761-7.sme
- Re-build and link to latest devtools [SME: 11997]

* Fri Jul 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 5.0.3761-6.sme
- add to core backup [SME: 12014]
- update for 6.2 neededing java-1.8.0
- add local test webservices
- main rpm is now using systemd [SME: 11619]

* Sun Jun 06 2021 Jean-Philippe Pialasse <tests@pialasse.com> 5.0.3761-5.sme
- Re-build and link to latest devtools services not restarted on install [SME: 11280]

* Fri Jun 04 2021 Jean-Philippe Pialasse <tests@pialasse.com> 5.0.3761-4.sme
- Re-build and link to latest devtools new configuration for madsonic 6 [SME: 11280]
  add update event
- add madsonic user to audio group [SME: 10700]
- add /var/media folders and subfolders [SME: 10701]

* Sun Dec 20 2020 Brian Read <brianr@bjsystems.co.uk> 5.0.3761-3.sme
- Initial Import in SME10 [SME: 11280]

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 5.0.3761-1.sme
- initial import to SME9 contribs

* Wed Nov 20 2013  CONTRIB MAKER <tests@pialasse.com> 5.0.3760-2.sme
- initial release
- builds from unchanged .tar.gz 

%pre
grep '^madsonic:' /etc/passwd > /dev/null || \
/usr/sbin/useradd -c "madsonic" -M -d /usr/share/madsonic   -s /bin/bash madsonic
/usr/sbin/usermod -aG audio madsonic

%prep
%setup
mkdir -p root/var/media/playlists/export root/var/media/playlists/import root/var/media/incoming root/var/media/podcast root/var/media/playlists/backup
mkdir -p root/var/madsonic/lucene30/album root/var/madsonic/conversion/audio root/var/madsonic/conversion/video

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /var/media/ 'attr(0755,madsonic,madsonic)'  \
  --dir /var/media/playlists/ 'attr(0750,madsonic,madsonic)'  \
  --dir /var/media/playlists/export/ 'attr(0750,madsonic,madsonic)'  \
  --dir /var/media/playlists/import/ 'attr(0750,madsonic,madsonic)' \
  --dir /var/media/incoming/ 'attr(0750,madsonic,madsonic)' \
  --dir /var/media/podcast/ 'attr(0750,madsonic,madsonic)' \
  --dir /var/media/playlists/backup/ 'attr(0750,madsonic,madsonic)' \
  --dir /var/madsonic/lucene30 'attr(0750,madsonic,madsonic)' \
  --dir /var/madsonic/lucene30/album 'attr(0750,madsonic,madsonic)' \
  --dir /var/madsonic/conversion 'attr(0750,madsonic,madsonic)' \
  --dir /var/madsonic/conversion/video 'attr(0750,madsonic,madsonic)' \
  --dir /var/madsonic/conversion/audio 'attr(0750,madsonic,madsonic)' \
  --file /var/www/backend/validateLicense.view 'attr(0750,www,www)' \
  --dir /var/www/backend/ 'attr(0750,www,www)' \
  --ignoredir /var/madsonic \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


